=== renamed file 'tests/platform/check_reactor_import.py' => 'contrib/check-reactor-import' (properties changed: -x to +x)
=== modified file 'run-tests'
--- run-tests	2013-06-07 17:42:06 +0000
+++ run-tests	2013-06-10 19:27:21 +0000
@@ -71,6 +71,6 @@
 rm -rf _trial_temp
 rm -rf build
 
-$PYTHON tests/platform/check_reactor_import.py
+$PYTHON contrib/check-reactor-import
 
 style_check

=== modified file 'run-tests.bat'
--- run-tests.bat	2013-06-07 17:17:02 +0000
+++ run-tests.bat	2013-06-10 19:27:21 +0000
@@ -87,7 +87,7 @@
 ECHO Performing style checks...
 "%LINTPATH%"
 
-"%PYTHONEXEPATH%" tests\platform\check_reactor_import.py
+"%PYTHONEXEPATH%" contrib\check-reactor-import
 
 :: if pep8 is not present, move to the end
 IF EXIST "%PEP8PATH%" (

=== modified file 'setup.py'
--- setup.py	2013-06-07 15:31:52 +0000
+++ setup.py	2013-06-10 19:27:21 +0000
@@ -41,11 +41,6 @@
 assert DistUtilsExtra.auto.__version__ >= '2.18', \
     'needs DistUtilsExtra.auto >= 2.18'
 
-try:
-    from setuptools import find_packages
-except ImportError:
-    from distutils.core import find_packages
-
 
 PROJECT_NAME = 'ubuntuone-client'
 VERSION = '13.05'
@@ -98,6 +93,21 @@
         @prefix@ by self.prefix.
 
         """
+
+        # Remove the contrib and tests packages from the packages list
+        # as they are not meant to be installed to the system.
+        i = 0
+        for pkg in self.distribution.packages:
+            print("Checking %s" % pkg)
+            if pkg.startswith('contrib'):
+                print('Removing %s' % pkg)
+                self.distribution.packages.pop(i)
+            if pkg.startswith('tests'):
+                print("Removing %s" % pkg)
+                self.distribution.packages.pop(i)
+
+            i += 1
+
         # Get just the prefix value, without the root
         prefix = self.install_data.replace(
             self.root if self.root is not None else '', '')
@@ -143,7 +153,7 @@
 
 
 class BuildLocale(build_i18n.build_i18n):
-    """Workaround a bug in DistUtilsExtra."""
+    """Work around a bug in DistUtilsExtra."""
 
     def run(self):
         """Magic."""
@@ -247,6 +257,5 @@
     extra_path=PROJECT_NAME,
     scripts=scripts,
     data_files=data_files,
-    packages=find_packages(),
     cmdclass=cmdclass,
     **extra)

=== added file 'ubuntuone-client.pth'
--- ubuntuone-client.pth	1970-01-01 00:00:00 +0000
+++ ubuntuone-client.pth	2013-06-10 19:27:21 +0000
@@ -0,0 +1,1 @@
+ubuntuone-client

